List skill taxonomy for a project
GET
/v1/projects/{projectId}/skill-taxonomycurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/skill-taxonomy' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<SkillTaxonomyTermDto>必填
- idstring | null必填
- termIdentitystring必填
- codestring必填
- displayLabelstring必填
- labelsobject必填
- parentTermIdentitystring | null必填
- assignableone of必填
- definitionstring必填
- positiveExamplesarray<string>必填
- negativeExamplesarray<string>必填
- externalMappingsarray<SkillExternalMapping>必填
- originLayerstring必填可选值tenantprojectplatform
- statusstring必填可选值activedeprecatedretired
- successorTermIdentitystring | null必填
- enabledone of必填
- coverageFloorone of必填
- provenanceobject必填
- sourcesobject必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- requestIdstring
- pageSizenumber必填
- totalCountnumber必填
- contractVersionstring必填
- taxonomyIdstring必填
- draftTaxonomyIdstring | null必填
- tenantDraftTaxonomyIdstring | null必填
- publishedTaxonomyIdstring | null必填
- projectTaxonomyIdstring | null必填
- tenantTaxonomyIdstring | null必填
- revisionnumber必填
- statusstring必填可选值draftpublishedarchivedunresolved
- scopeLevelstring必填可选值tenantproject
- snapshotHashstring必填
- namestring | null必填
响应示例
{
"data": [
{
"id": "string",
"termIdentity": "string",
"code": "string",
"displayLabel": "string",
"labels": {},
"parentTermIdentity": "string",
"assignable": false,
"definition": "string",
"positiveExamples": [
"string"
],
"negativeExamples": [
"string"
],
"externalMappings": [
{
"source": "string",
"sourceVersion": "string",
"externalCode": "string",
"externalLabel": "string",
"mappingKind": "exact",
"confidence": 0
}
],
"originLayer": "tenant",
"status": "active",
"successorTermIdentity": "string",
"enabled": false,
"coverageFloor": false,
"provenance": {
"originLayer": "tenant",
"sourceRevision": "string",
"fields": {}
},
"sources": {}
}
],
"nextPageToken": "string",
"meta": {
"requestId": "string",
"pageSize": 0,
"totalCount": 0,
"contractVersion": "string",
"taxonomyId": "string",
"draftTaxonomyId": "string",
"tenantDraftTaxonomyId": "string",
"publishedTaxonomyId": "string",
"projectTaxonomyId": "string",
"tenantTaxonomyId": "string",
"revision": 0,
"status": "draft",
"scopeLevel": "tenant",
"snapshotHash": "string",
"name": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1